<id>
AutoTabs 4 YaBB 2.3
</id>

<version>
0.2 beta
</version>

<mod info>
This mod create taps for the main tab menu based on a small text file uploaded to the /Variables folder.
Very handy for modwriters (and admins) that wants to add one or more tabs without having to
download or delete the taborder.txt file. Please read the readme.txt file for info about how to create the text file.

Apply this mod.

Upload (in ASCII mode):
cgi-bin/yabb2/Admin/ModList.pl
cgi-bin/yabb2/Sources/AdvancedTabs.pl

</mod info>

<author>
Carsten
</author>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$autotabs_mod = "AutoTabs_4_YaBB23|Carsten|This mod create taps for the main tab menu based on a small text file uploaded to the /Variables folder.|0.2 beta|01/03/09";
	push (@installed_mods, "$autotabs_mod");

</add before>


<edit file>
Sources/AdvancedTabs.pl
</edit file>

<search for>
}

sub AddNewTab {
</search for>

<add before>
	opendir(VARDIR, $vardir);
	@tablist = grep { /\.tab$/ } readdir(VARDIR);
	closedir(VARDIR);
	if(@tablist) {
		$tabfile = $tablist[0];
		require "$vardir/$tabfile";
		unlink("$vardir/$tabfile");
		if(exists $newtab{'taburl'}) {
			$yymain .= qq~
			<form action="$scripturl?action=addtab2" method="post" name="addtabtext" id="addtabtext">
			<input type="hidden" name="tabtext" value="$newtab{'tabtext'}" />
			<input type="hidden" name="taburl" value="$newtab{'taburl'}" />
			<input type="hidden" name="tabwin" value="$newtab{'tabwin'}" />
			<input type="hidden" name="showto" value="$newtab{'showto'}" />
			<input type="hidden" name="addafter" value="$newtab{'addafter'}" />
			~;
		}
		else {
			$tabkey = lc $newtab{'tabtext'};
			$tabkey =~ s/ /\_/g;
			$isthere = 0;
			for ($i = 0; $i < @tabs; $i++) {
				chomp $tabs[$i];
				if($tabs[$i] eq $tabkey) { $isthere = 1; }
			}
			unless($isthere) {
				fopen(TABORDER, ">$vardir/taborder.txt");
				if($newtab{'addafter'} eq "thefront") {
					print TABORDER "$tabkey\n";
				}
				for ($i = 0; $i < @tabs; $i++) {
					chomp $tabs[$i];
					print TABORDER "$tabs[$i]\n";
					if($tabs[$i] eq $newtab{'addafter'}) {
						print TABORDER "$tabkey\n";
					}
				}
				fclose(TABORDER);
			}
			$yymain .= qq~
			<form action="$scripturl" method="post" name="addtabtext" id="addtabtext">
			~;
		}
		undef %newtab;
		$yymain .= qq~
		</form>
		<script language="JavaScript1.2" type="text/javascript">
		<!--
			function submitNewtab() {
			var frm = document.getElementById("addtabtext");
			frm.submit();
			}
			window.onload = submitNewtab;
		//-->
		</script>
		~;
	}

</add before>

<search for>
	my $tmpusernamereq = 0;
</search for>

<add after>
	$taburl =~ s~\$scripturl~$scripturl~g;
</add after>
